Subject: 回覆: bug#53145: Acknowledgement ("cut" can't segment Chinese characters correctly?)

From: zendas <[email-masked]>
Date: Wed, 12 Jan 2022 11:19:01 +0000

I have considered dealing with this problem directly with three bytes instead, but I have two doubts, I can correctly use wc -m to recognize the bytes in the same environment (but cut can't?), and my script goal is to recognize Chinese, will The probability of execution is higher on platforms that support Chinese environment. In addition, the fixed three-byte approach cannot handle the mixed content of full shape and half shape. I need a lot of judgment and conversion, which will greatly increase the possibility of errors.

在 2022年1月10日 星期一 上午 3:13， <[email-masked]> 寫道：

> 53145: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53145
>
> GNU Bug Tracking System
>
> Contact [email-masked] with problems